import { CourseBasicForm } from "./CourseForms/CourseBasicForm";
import { CourseFormProvider } from "./CourseEditorContext";
import CourseEditorLayout from "./CourseEditorLayout";
import { CourseTargetForm } from "./CourseForms/CourseTargetForm";
import CourseForm from "./CourseForms/CourseForm";

export default function CourseEditor({
	id,
	part,
}: {
	id?: string;
	part?: string;
}) {
	return (
		<CourseFormProvider editId={id} part={part}>
			<CourseEditorLayout>
				<CourseForm></CourseForm>
			</CourseEditorLayout>
		</CourseFormProvider>
	);
}
